package com.neusoft.smart.pos.ota.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class DeviceUpgradeHistory implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer id;

	private Integer deviceId;

	private String prevVersion;

	private String curVersion;

	private Date updateTime;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(Integer deviceId) {
		this.deviceId = deviceId;
	}

	public String getPrevVersion() {
		return prevVersion;
	}

	public void setPrevVersion(String prevVersion) {
		this.prevVersion = prevVersion == null ? null : prevVersion.trim();
	}

	public String getCurVersion() {
		return curVersion;
	}

	public void setCurVersion(String curVersion) {
		this.curVersion = curVersion == null ? null : curVersion.trim();
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}